from framework import Guid

Instance__has__Source_Definition = Guid.parse("{57cbc351-0428-47e6-a6db-445e4503abab}")
Class__has_super__Class = Guid.parse("{100F0308-855D-4EC5-99FA-D8976CA20053}")
Class__has_sub__Class = Guid.parse("C14BC80D879C4E6F9123E8DFB13F4666")

Class__has__Method = Guid.parse("2DA282715E464472A6F5910B5DD6F608")
Method__for__Class = Guid.parse("76D2CE0DAA4D460BB8442BD76EF9902B")

Class__has__Instance = Guid.parse("7EB41D3C2AE9488483A4E59441BCAEFB")
Instance__for__Class = Guid.parse("494D5A6D04BE477B8763E3F57D0DD8C8")

Class__has__Relationship = Guid.parse("3997CAAD3BFA4EA69CFA2AA63E20F08D")
Relationship__for__Class = Guid.parse("C00BD63F10DA4751B8EA0905436EA098")

Class__has_title__Translation = Guid.parse("B8BDB90569DD49CDB5570781F7EF2C50")

Class__has__Attribute = Guid.parse("DECBB61A2C6C4BC890420B5B701E08DE")
Attribute__for__Class = Guid.parse("FFC8E435B9F844958C854DDA67F7E2A8")

Class__has_default__Task = Guid.parse("CF396DAA75EA41488468C66A71F2262D")

Class__has_owner__User = Guid.parse("D1A25625C90F4A73A6F2AFB530687705")
User__owner_for__Class = Guid.parse("04DD2E6BEA5748408DD5F0AA943C37BB")

Instance__for__Module = Guid.parse("c60fda3c2c0a422980e8f644e4471d28")
Module__has__Instance = Guid.parse("c3e5d7e35e114f8da212b175327b2648")

Class__has__Object_Source = Guid.parse("B62F9B81799B4ABEA4AF29B45347DE54")
Object_Source__for__Class = Guid.parse("FBB9391DC4A243269F857801F377253C")

Relationship__has_source__Class = Guid.parse("7FB5D234042E45CBB11DAD72F8D45BD3")
Relationship__has_destination__Class = Guid.parse("F220F1C204994E87A32EBDBF80C1F8A4")
Relationship__has_sibling__Relationship = Guid.parse("656110FF450248B8A7F3D07F017AEA3F")

Translation__has__Translation_Value = Guid.parse("F9B60C00FF1D438FAC746EDFA8DD7324")
Translation_Value__has__Language = Guid.parse("3655AEC2E2C94DDE8D980C4D3CE1E569")

String__has__String_Component = Guid.parse("3B6C4C25B7BC42428ED1BA6D01B834BA")
Extract_Single_Instance_String_Component__has__Relationship = Guid.parse("5E499753F50F4A9EBF53DC013820499C")
Instance_Attribute_String_Component__has__Attribute = Guid.parse("E15D427769FB4F1992DB8D087F361484")
String_Component__has_source__Method = Guid.parse("1ef1c965e12048beb682aa040573b5fb")

# Class__instance_labeled_by__String = Guid.parse("F52FC851D65548A9B526C5FE0D7A29D2")
Class__instances_labeled_by__Executable_returning_Attribute = Guid.parse("{c22fc17f-0c92-47dc-9a8b-28db0db68985}")

Class__has_summary__Report_Field = Guid.parse("D11050AD73764AB784DEE8D0336B74D2")

Class__uses_preview__Executable_returning_Element = Guid.parse("{059dc948-5f1b-4331-94f4-6d79dc324ebf}")
Executable_returning_Element__preview_used_by__Class = Guid.parse("{07d5e08f-fe38-49fd-8fcb-c862a532ec57}")


Class__has_related__Task = Guid.parse("4D8670E12AF14E7C9C87C910BD7B319B")

Report_Object__has__Report_Field = Guid.parse("0af6265642bc40a5b0bcdbba67c347f6")
Report_Field__for__Report_Object = Guid.parse("b46c8caa3f46465fba117d6f385425a2")

Task__has_title__Translation = Guid.parse("D97AE03C261F4060A06D985E26FA662C")
Task__has_instructions__Translation = Guid.parse("A93878989DC0400694F11FB02EB3ECD7")
Task__has__Prompt = Guid.parse("929B106F7E3E4D30BB84E450A4FED063")
Task__has__Task_Category = Guid.parse("84048159430d4f6c9361115c8629c517")
Task__executes__Method_Call = Guid.parse("D8C0D4D4F8C64B92A2C18BF16B16203D")
Task__has_preview_action_title__Translation = Guid.parse("3f65ce0211dd4829a46bb9ea1b43e56a")

Prompt__has__Report_Field = Guid.parse("922CCB0561EA441D96E063D58231D202") # 3de784b9456142f0946fb1e90d80029e
Report_Field__for__Prompt = Guid.parse("5DED3DB4686445A9A5FF8E5A35AD6E6F") # b5f59216a1f149798642a4845e59daa8

Instance_Prompt__has_valid__Class = Guid.parse("D5BD754BF4014FD8A70782684E7E25F0")

Instance_Prompt_Value__has__Instance = Guid.parse("512B518EA89244ABAC354E9DBCABFF0B")

Method__executed_by__Method_Binding = Guid.parse("D52500F114214B739987223163BC9C04")
Method_Binding__executes__Method = Guid.parse("B782A5928AF542288296E3D0B24C70A8")

Method__has_return_type__Class = Guid.parse("1241c599e55d4dcf9200d0e48c217ef8")

Method_Binding__has__Parameter_Assignment = Guid.parse("2493810994f1463a9314c49e667cf45b")
Parameter_Assignment__for__Method_Binding = Guid.parse("19c4a5dbfd2644b8b431e081e6ffff8a")

Parameter_Assignment__assigns_from__Executable_returning_Work_Data = Guid.parse("{6f3687ed-7d88-4ece-914e-c47c57c1146d}")
Parameter_Assignment__assigns_to__Work_Data = Guid.parse("{51c37636-35d2-4528-99ca-50cf09fa1427}")


Parameter__has_data_type__Instance = Guid.parse("ccb5200c5faf4a3a9e8e2edf5c2e0785")
Instance__data_type_for__Parameter = Guid.parse("ea1e6305b2e44ba591b41ecfbebfa490")

Instance_Set__has__Instance = Guid.parse("7c9010a269f1402999c872e05c78c41e")

Parameter_Assignment__assigns_to__Parameter = Guid.parse("a6d30e787bff4fccb109ee96681b0a9e")
Parameter__assigned_from__Parameter_Assignment = Guid.parse("2085341e5e7e4a7fbb8ddfa58f6030d9")

Method_Binding__assigned_to__Parameter_Assignment = Guid.parse("cbcb23b710c449eba1cab9da73fe8b83")
Parameter_Assignment__assigns_from__Method_Binding = Guid.parse("1e055d30a96849d893fe541994fc0c51")

Validation__has__Validation_Classification = Guid.parse("BCDB6FFDD2F24B63BD7E9C2CCD9547E0")
Validation__has_true_condition__Executable = Guid.parse("AA2D3B5141534599A9836B4A13ADCBCB")
Validation__has_false_condition__Executable = Guid.parse("419047F8852B4A4DB161A8BD022FD8EB")

Validation__has_failure_message__Translation = Guid.parse("E15A97DD2A1D4DC0BD6BA957B63D9802")
Translation__failure_message_for__Validation = Guid.parse("46a7dfcb884847d59ad3d27fbd8b423f")

Build_Attribute_Method__returns__Attribute = Guid.parse("{dadbf0f3-7af0-4387-a6b7-a1724a216d88}")
# Build_Attribute_Method__builds_with__Executable_returning_Attribute = Guid.parse("{bb64cd83-85c2-4c20-82eb-2a5a5ead31f1}")
Build_Attribute_Method__builds_with__Build_Attribute_Method_Component = Guid.parse("{b4fad1b8-711c-4e84-82d0-e9a9e41e8aa7}")
Build_Attribute_Method_Component__uses__Executable_returning_Attribute = Guid.parse("{9d2acd01-5c6d-4a95-b77e-5261ba109540}")
Get_Attribute_Method__has__Attribute = Guid.parse("5eca9b3fbe754f6e8495781480774833")

Get_Referenced_Instance_Set_Method__returns__Work_Set = Guid.parse("{72057f5b-9b49-497d-852f-cd7e5e258d6c}")
Get_Referenced_Instance_Set_Method__uses_reference__Executable_returning_Instance_Set = Guid.parse("{2978238f-7cb0-4ba3-8c6f-473df782cfef}")
Get_Referenced_Instance_Set_Method__uses_answer__Executable_returning_Instance_Set = Guid.parse("{6a65819e-c8cb-4575-9af8-ee221364049b}")

Get_Referenced_Attribute_Method__returns__Attribute = Guid.parse("87f90fe95ec64b098f51b8a4d1544cae")
Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set = Guid.parse("{c7ecd498-6d05-4e07-b1bc-f7127d0d6666}")
Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute = Guid.parse("{022ccde3-2b9e-4573-a8fc-e7568f420cd3}")

Get_Specified_Instances_Method__returns__Work_Set = Guid.parse("{27796f3d-0cbd-42c5-a840-791d3af6c16d}")
Get_Specified_Instances_Method__uses__Instance = Guid.parse("dea1aa0b2bef4bacb4f90ce8cf7006fc")

Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute = Guid.parse("{53cf2cb6-f5f2-499f-9f18-26b86bf671c4}")
Evaluate_Boolean_Expression_Method__has_source__Executable_returning_Work_Data = Guid.parse("{45d76d56-01ed-4641-9f68-cfe0c7d0d265}")
IDR_Evaluate_Boolean_Expression_Method__uses__Boolean_Operator = Guid.parse("{aa9e17a2-e4d9-4598-bcfc-2d729031d11c}")
Evaluate_Boolean_Expression_Method__has_target__Executable_returning_Work_Data = Guid.parse("{0646df91-7e3e-4d59-be71-b978a22ced8e}")

Prompt_Value__has__Prompt = Guid.parse("7CD62362DDCE4BFC87B9B5499B0BC141")

User__has_display_name__Translatable_Text_Constant = Guid.parse("6C29856C3B104F5BA291DD3CA4C04A2F")
User_Login__has__User = Guid.parse("85B40E4B849B4006A9C04E201B25975F")

User__has_default__Page = Guid.parse("f00cda6feded4e0fb6c59675ed664a75")

Dashboard__has__Dashboard_Content = Guid.parse("d26acf18afa54ccd8629e1d9dac394ed")
Dashboard_Content__for__Dashboard = Guid.parse("9f236d2d1f454096a69c42f37abbeebc")
Dashboard_Content__has__Instance = Guid.parse("1f0c40752b7d42c28488c7db06e91f5a")
Instance__for__Dashboard_Content = Guid.parse("376951c9252b48438e1dca89c94ddfa6")

Return_Instance_Set_Method_Binding__has_source__Class = Guid.parse("EE7A30498E09410C84CBC2C0D652CF40")

Report__has__Report_Column = Guid.parse("7A8F57F1A4F34BAF84A5E893FD79447D")
Report__has__Report_Data_Source = Guid.parse("1DE7B484F9E3476AA9D37D2A86B55845")
Report__has__Prompt = Guid.parse("5D112697303F419F886F3F09F0670B07")

Report_Column__has__Report_Field = Guid.parse("B90269107E914EE1B5F2D7B740614831")
Report_Column__has__Report_Column_Option = Guid.parse("41FFF5F0B4674986A6FD46FAF4A479E9")

Report_Data_Source__has_source__Method = Guid.parse("2D5CB496583946A09B9430D4E2227B56")

Report_Field__has_source__Method = Guid.parse("5db86b7669bf421f96e74c49452db82e")
Attribute_Report_Field__has_target__Attribute = Guid.parse("3796430126FD41D886611F73684C0E0A")
Relationship_Report_Field__has_target__Relationship = Guid.parse("134B2790F6DF4F979AB59878C4A715E5")


Tenant__has__Application = Guid.parse("22936f5126294503a30ba02d61a6c0e0")
Tenant__has_sidebar__Menu_Item = Guid.parse("D62DFB9F48D54697AAAD1CAD0EA7ECFA")
Tenant__has__Tenant_Type = Guid.parse("E94B6C9D330748589726F24B7DB21E2D")

Tenant__has_company_logo_image__File = Guid.parse("3540c81cb2294eacb9b59d4b4c6ad1eb")

Menu__has__Menu_Section = Guid.parse("a22d949ff8d14dcca3ebd9f910228dfd")
Menu_Item__has_title__Translatable_Text_Constant = Guid.parse("65E3C87EA2F74A339FA7781EFA801E02")
Menu_Section__has__Menu_Item = Guid.parse("5b659d7c58f9453c9826dd3205c3c97f")

Command_Menu_Item__has__Icon = Guid.parse("8859DAEF01F746FA8F3E7B2F28E0A520")

Instance_Menu_Item__has_target__Instance = Guid.parse("C599C20EF01A4B12A9195DC3B0F545C2")

Page__has_title__Translation = Guid.parse("7BE6522A4BE84CD38701C8353F7DF630")
Page__has__Style = Guid.parse("6E6E1A853EA94939B13ECBF645CB8B59")
Page__has__Page_Component = Guid.parse("24F6C596D77D4754B02300321DEBA924")

Style__has__Style_Rule = Guid.parse("4CC8A654B2DF4B17A95624939530790E")
Style_Rule__has__Style_Property = Guid.parse("B69C2708E78D413AB491ABB6F1D2A6E0")

Style__has_width__Measurement = Guid.parse("4930ca87641a426d9d67cda6d5f22303")
Style__has_height__Measurement = Guid.parse("978e6de0af7345a0bb56aaf451615b06")

Measurement__has__Measurement_Unit = Guid.parse("C97200821F40406D80B781C1B690354D")

Page__has_master__Page = Guid.parse("9bdbfd640915419f83fde8cf8bcc74ae")
Page__master_for__Page = Guid.parse("7fe8f2a2c94d401083aa9300cc99d71d")

Page_Component__has__Style = Guid.parse("818CFF507D4243B2B6A792C3C54D450D")
Style__for__Page_Component = Guid.parse("007563E7727744368C8206D5F156D8E1")

Button_Page_Component__has_text__Translatable_Text_Constant = Guid.parse("C25230B14D234CFE8B7556C33E8293AF")
Image_Page_Component__has_source__Method = Guid.parse("481E3FBEB82A4C769DDFD66C6BA8C590")

Sequential_Container_Page_Component__has__Sequential_Container_Orientation = Guid.parse("DD55F50687184240A89421346656E804")
Container_Page_Component__has__Page_Component = Guid.parse("CB7B81621C9E4E72BBB8C1C37CA69CD5")

Panel_Page_Component__has_header__Page_Component = Guid.parse("223B4073F41749CDBCA10E0749144B9D")
Panel_Page_Component__has_content__Page_Component = Guid.parse("AD8C5FAE24444700896EC5F968C0F85B")
Panel_Page_Component__has_footer__Page_Component = Guid.parse("56E339BD61894BACAB83999543FB8060")

Element_Page_Component__has__Element = Guid.parse("fe833426e25d4cde89392a6c9baac20c")
Element_Page_Component__has__Element_Content_Display_Option = Guid.parse("74e3c13a04fd4f49be7005a32cdcdfe7")
Element_Content_Display_Option__for__Element_Page_Component = Guid.parse("7d3a7045092549db9b7d24863c9848a6")

Element__for__Element_Page_Component = Guid.parse("963c5c60397947fab201a26839b9ded9")

Tenant__has_logo_image__File = Guid.parse("4C399E80ECA24A68BFB426A5E6E97047")
Tenant__has_background_image__File = Guid.parse("39B0D9634BE049C8BFA2607051CB0101")
Tenant__has_icon_image__File = Guid.parse("CC4E65BD7AAA40DAAECAC607D7042CE3")
Tenant__has_login_header__Translatable_Text_Constant = Guid.parse("41D66ACBAFDE4B6F892DE66255F10DEB")
Tenant__has_login_footer__Translatable_Text_Constant = Guid.parse("A6203B6B5BEB4008AE49DB5E7DDBA45B")
Tenant__has_application_title__Translation = Guid.parse("7668343767ba46d9a5e72945be635345")
Tenant__has_mega__Menu = Guid.parse("cdd743cbc74a46719922652c7db9f2d8")

Tenant_Type__has_title__Translatable_Text_Constant = Guid.parse("79AAE09C5690471C84421B230610456C")

Prompt__has_title__Translatable_Text_Constant = Guid.parse("081ee211753443c499b524bd9537babc")

Report__has_title__Translatable_Text_Constant = Guid.parse("DF93EFB08B5E49E78BC0553F9E7602F9")
Report__has_description__Translatable_Text_Constant = Guid.parse("D5AA18A77ACD4792B0396C620A151BAD")
Report_Field__has_title__Translatable_Text_Constant = Guid.parse("6780BFC2DBC040AE83EEBFEF979F0054")

Content_Page_Component__gets_content_from__Method = Guid.parse("0E002E6FAA79457C93B82CCE1AEF5F7E")
Method__provides_content_for__Content_Page_Component = Guid.parse("5E75000D24214AD49E5FB9FDD9CB4744")

Securable_Item__secured_by__Method = Guid.parse("15199c4995954288846d13b0ad5dcd4b")
Get_Relationship_Method__has__Relationship = Guid.parse("321581d660c1454783449d5bda027adc")

Integration_ID__has__Integration_ID_Usage = Guid.parse("6cd30735df834253aabe360d6e1a3701")
Integration_ID_Usage__for__Integration_ID = Guid.parse("d8d981ec768640dab89f006c85042444")

Conditional_Select_from_Instance_Set_Method__has__Conditional_Select_from_Instance_Set_Case = Guid.parse("b6715132b4384073b81d3ecf19584b7d")
Conditional_Select_from_Instance_Set_Case__for__Conditional_Select_from_Instance_Set_Method = Guid.parse("1c868a068fb7432d839b7a5a02a50eb6")

Condition_Group__has_true_condition__Executable_returning_Attribute = Guid.parse("d955da3f7ef443748b86167c73434f75")
Executable_returning_Attribute__true_condition_for__Condition_Group = Guid.parse("1acdefd1e1b445bb99e1bf73dea71da5")

Condition_Group__has_false_condition__Executable_returning_Attribute = Guid.parse("e46dbc4fae8d4ad8b9e610cedfa68b73")
Executable_returning_Attribute__false_condition_for__Condition_Group = Guid.parse("633af008bf7f4da194d667a9a80586d6")

Audit_Line__has__Instance = Guid.parse("c91807ed0d734729990bd90750764fb5")
Audit_Line__has__User = Guid.parse("7c1e048d3dcb44739f2ee21014a76aa5")

Method__has__Method_Parameter = Guid.parse("c455dc79ba9b4a7caf8e9ca59dbe511f")
Method_Parameter__for__Method = Guid.parse("0bcb6e5b58854747843ced4c3d3dc234")
Method__returns__Attribute = Guid.parse("eb015d320d4f4647b9b8715097f4434b")

Detail_Page_Component__has_caption__Translation = Guid.parse("4a15fa44fb7b4e268ce2f36652792b48")

Element__has__Element_Content = Guid.parse("c1d3248102f948c6baf837d93fa8da23")
Element_Content__for__Element = Guid.parse("2eff7f580edd40b79c0600774257649e")

Element__has_label__Translation = Guid.parse("7147ea909f454bb9b151025b6e2bd834")

Element_Content__has__Instance = Guid.parse("315b71ba953d45fc87e54f0a268242a9")
Instance__for__Element_Content = Guid.parse("c3959f84248d4edea3f2f262917c7b56")

Element_Content__has__Layout = Guid.parse("1ab7412005ea4acab6d3c7e0133e0c4f")
Element_Content__has__EC_Dynamic_Display_Option = Guid.parse("{4a41391a-c325-4182-920a-a94ad28c15fa}")

EC_Dynamic_Display_Option__modifies__Element_Content = Guid.parse("{4d091643-2bfc-4b83-b3e4-8a3b22c665a9}")

Dynamic_Display_Option__add__Display_Option = Guid.parse("{2ed33b28-f84d-4120-b585-be965cfb691f}")
Dynamic_Display_Option__remove__Display_Option = Guid.parse("{dc06bf0b-70dd-4f71-854d-0f5685e2124f}")

Element_Content__built_from__BEM_Process = Guid.parse("{3d7094ff-33e5-4800-9e4e-93dde0d1d331}")

BEM_Process__uses_loop__Executable_returning_Instance_Set = Guid.parse("{0fb2b538-eacb-418a-b7d8-43a584b85952}")

Layout__has__Style = Guid.parse("{e684bb26-7e78-4a21-b8b4-5a550f3053d5}")

Rotary_Switch_Layout__has__Rotary_Switch_Layout_Option = Guid.parse("{ae716c95-1e26-48f4-9013-001d1a1854aa}")

Element_Content__has__Element_Content_Display_Option = Guid.parse("f070dfa762604488a779fae291903f2d")

Element_Content__has__Parameter_Assignment = Guid.parse("51214ef0458a44fa8b9df3d9d2309388")
Parameter__assigned_from__Element_Content = Guid.parse("dcef180ba2ca4d87bb05b946c319b562")

Element_Content__has__Validation = Guid.parse("265637cd2099416b88fa4f5ed88a87e3")
Validation__for__Element_Content = Guid.parse("3a4677e89c78414980ad46e5ac3b12f5")

Instance__has__Instance_Definition = Guid.parse("329c54ee17b84550ae80be5dee9ac53c")

Task__has_initiating__Element = Guid.parse("78726736f5b74466b11429cbaf6c9329")
Element__initiates_for__Task = Guid.parse("36964c5d348e4f888a620a795b43bc14")

Detail_Page_Component__has_row_source__Method_Binding = Guid.parse("54FBD0560BD444F4921C11FB0C77996E")
Detail_Page_Component__has_column_source__Method_Binding = Guid.parse("ddabeedaaa264d87a4574e7da921a293")

Work_Set__has_valid__Class = Guid.parse("0808746241a5427184bca9bcd31a2c21")
Class__valid_for__Work_Set = Guid.parse("73c65dcf781047d498c0898ca1b17a68")

Conditional_Select_Attribute_Method__returns__Attribute = Guid.parse("{b2b9d9cc-c4dd-491b-853e-e3669ea4e66a}")
Attribute__returned_by__Conditional_Select_Attribute_Method = Guid.parse("{e3e734ce-953b-49b8-b50d-b1826b519053}")

Conditional_Select_Attribute_Method__has__Conditional_Select_Attribute_Case = Guid.parse("{49396bd0-b5a9-4384-99f4-2126d80b3b66}")
Conditional_Select_Attribute_Case__for__Conditional_Select_Attribute_Method = Guid.parse("{38e2816e-ccb4-4e89-86ab-4981f5c2d7ac}")

Conditional_Select_Attribute_Case__invokes__Executable_returning_Attribute = Guid.parse("{dbd97430-9c55-430d-815c-77fce9887ba7}")
Executable_returning_Attribute__invoked_by__Conditional_Select_Attribute_Case = Guid.parse("{f4b04072-abe8-452a-b8f8-e0369dde24d4}")

Style__gets_background_image_File_from__Return_Instance_Set_Method_Binding = Guid.parse("4b4a0a3e426c4f70bc15b6efeb338486")

Style__has__Style_Class = Guid.parse("2cebd83052aa44ff818db2d6ee273a1f")
Style_Class__for__Style = Guid.parse("b2fbce51455a42b59fd1c28bb0cbe613")

Style__implements__Style = Guid.parse("99b1c16af2cb4cc5a3bb82a96335aa39")
Style__implemented_for__Style = Guid.parse("271ef8161e944f02a8054f9536c28dca")


Style__has_horizontal__Alignment = Guid.parse("{cc8d60e3-1b42-4ab1-a918-3d109891bb4e}")
Style__has_vertical__Alignment = Guid.parse("{24c175dd-c34c-4ffc-aef0-440aa032ceeb}")

Get_Attribute_by_System_Routine_Method__uses__System_Attribute_Routine = Guid.parse("{f7aaac2c-0bfd-4b31-8c8c-3a76e9522574}")
Get_Attribute_by_System_Routine_Method__returns__Attribute = Guid.parse("{e19cf181-b5bf-4595-b5c6-b9098a7a41bb}")

Get_Instance_Set_by_System_Routine_Method__uses__System_Instance_Set_Routine = Guid.parse("{085bd706-eece-4604-ac04-b7af114d1d21}")
System_Instance_Set_Routine__used_by__Get_Instance_Set_By_System_Routine_Method = Guid.parse("{6fb6534c-2a46-4d6d-b9df-fd581f19efed}")

Get_Instance_Set_by_System_Routine_Method__returns__Instance_Set = Guid.parse("{84a864fe-84de-4901-a51c-1e103dc56aed}")

System_Account__has__User_Preferences = Guid.parse("{ada4deb2-adfd-409f-b13a-9856fabd5522}")
User_Preferences__for__System_Account = Guid.parse("{ab2372a5-a4c7-488a-89f6-67e5834f8c83}")

Button_Layout__executes_task_from__Instance_Set = Guid.parse("04d104faa6c4425ea6cd56d847c63e9d")
Button_Layout__gets_related_instance_from__Instance_Set = Guid.parse("{462bb1ab-aefa-4455-8d56-eff233e3caa7}")

Element__processed_by__Process_Related_Updates_Method = Guid.parse("{ed9c836a-04a4-4505-8953-3c567e841c66}")
Element__processed_by__Control_Transaction_Method = Guid.parse("{0f182291-6784-47b3-a8d3-d2f6ebf3950c}")

Control_Transaction_Method__uses__Build_Response_Method_Binding = Guid.parse("{d8f2f0cc-54a2-4004-a383-8c1321495531}")
Build_Response_Method_Binding__used_by__Control_Transaction_Method = Guid.parse("{9b83d1f3-6569-4e98-9d88-765684abfd18}")

Process_Related_Updates_Method__uses__Executable_for_PUMB = Guid.parse("{50e1f14a-d6e5-4c71-b7ab-1755442728dc}")
Process_Related_Updates_Method__processes_for__Class = Guid.parse("{436a20fb-f672-4397-aca4-ec0ed6e2280a}")

Assign_Attribute_Method__uses__Executable_returning_Attribute = Guid.parse("{9313f96e-58af-416f-852e-ef83725057fc}")
Assign_Attribute_Method__assigns__Attribute = Guid.parse("{74061875-8a27-403b-9456-02e52cfd13b2}")

Get_Instances_Method__returns__Work_Set = Guid.parse("{7d0f93b1-8c93-464e-a44d-d674f910b589}")
Get_Instances_Method__selects_instances_of__Class = Guid.parse("{c0b85d90-de8c-44c2-9420-c5e724ccdf2c}")

Build_UI_Response_Method__uses__Executable_returning_Element = Guid.parse("{6f066ec6-b978-4627-81da-78fee1bed5e5}")
Executable_returning_Element__used_by__Build_UI_Response_Method = Guid.parse("{0e662556-ca79-43fe-9a50-57ad22df65de}")

Select_from_Instance_Set_Method__returns__Work_Set = Guid.parse("{e7805b49-0eb3-46ea-bc8a-a5ed676a7726}")
Work_Set__returned_by__Select_from_Instance_Set_Method = Guid.parse("{df12608a-e157-4a1b-bae2-0224a18f5b94}")
Select_from_Instance_Set_Method__uses__Executable_returning_Instance_Set = Guid.parse("{a907f814-b996-4294-b347-ca16ccaf1f5b}")
Executable_returning_Instance_Set__used_by__Select_from_Instance_Set_Method = Guid.parse("{a3ec06f9-54e8-4279-a31d-d221f8697a6a}")
Select_from_Instance_Set_Method__uses__Set_Function = Guid.parse("{abda76ae-a969-40e3-aed2-1a20fcec8b31}")
Set_Function__used_by__Select_from_Instance_Set_Method = Guid.parse("{753f9f4f-3fe3-470a-890d-d799c24e47af}")
Select_from_Instance_Set_Method__uses__Selection_Function = Guid.parse("{6498e72e-f321-4be2-acfd-dfd6f916ce54}")
Selection_Function__used_by__Select_from_Instance_Set_Method = Guid.parse("{e5e6a392-a436-41f7-bc80-cb6603503be1}")
Select_from_Instance_Set_Method__uses_function__Executable_returning_Attribute = Guid.parse("{30905c53-0d64-4332-9023-12a03e60cd09}")
Executable_returning_Attribute__function_used_by__Select_from_Instance_Set_Method = Guid.parse("{79adb5ea-0257-445b-9f7c-e5f8508a59a2}")
Select_from_Instance_Set_Method__uses_order__Executable_returning_Attribute = Guid.parse("{c7a5ef47-fce3-4e7c-87b8-f5cab93b1b10}")
Executable_returning_Attribute__order_used_by__Select_from_Instance_Set_Method = Guid.parse("{48c984ea-f4da-4090-bdd0-fd659b9be13d}")
Select_from_Instance_Set_Method__uses_subset_index__Executable_returning_Attribute = Guid.parse("{b5ef8d8b-683a-4cb9-9e6c-bc470324f4e3}")
Executable_returning_Attribute__as_subset_index_for__Select_from_Instance_Set_Method = Guid.parse("{7d03574f-db28-4aff-a96c-8013832b8269}")
Select_from_Instance_Set_Method__uses_comparator__Executable_returning_Work_Data = Guid.parse("{974c6e8b-b04f-4e3c-8719-298052afa9c7}")
Executable_returning_Work_Data__comparator_for__Select_from_Instance_Set_Method = Guid.parse("{c877ea85-ee9f-4e22-bae7-4a0d7b9272e1}")